<?php
/*****************************************************************************/
/*
Plugin Name: Electric Pagination Fix
Plugin URI:  https://www.electriccode.co.uk/fixing-404-errors-with-wordpress-custom-taxonomies/
Author:      Electric Code
Author URI:  https://www.electriccode.co.uk
Version:     1.0.1
Description: If you create a custom taxonomy in WordPress you may encounter a 404 error when trying to view the taxonomy. This plugin fixes that error.
			 See https://www.electriccode.co.uk/blog/fixing-404-errors-with-wordpress-custom-taxonomies/ for more information.
*/
/*****************************************************************************/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_action( 'init', 'electric_pagination_fix_init' );

/*****************************************************************************/

function electric_pagination_fix_init() {

	add_filter('request', 'electric_request');
	add_action('pre_get_posts','electric_pre_get_posts');

}

/*****************************************************************************/

function electric_request($query_string ) {

    if( isset( $query_string['page'] ) ) {
        if( ''!=$query_string['page'] ) {
            if( isset( $query_string['name'] ) ) {
                unset( $query_string['name'] );
            }
        }
    }

    return $query_string;

}

/*****************************************************************************/

function electric_pre_get_posts( $query ) {

    if( $query->is_main_query() && ! $query->is_feed() && !is_admin() ) {
    	if ( '' !== get_query_var( 'page' ) ) {
	        $query->set( 'paged', str_replace( '/', '', sanitize_text_field( get_query_var( 'page' ) ) ) );
	    }
    }

}

/*****************************************************************************/
?>
